#include <stdio.h>
#include <stdlib.h>
#include <sys/socket.h>
#include <sys/types.h>
#include <unistd.h>
#include <netinet/in.h> 

#define TEST_PORT 12345
#define SEND_PORT 12345
#define BUFSIZE 512
#define USAGE_STMT "Usage: argv[0] <address> <message>\n"

int main(int argc, char* argv[])
{
	int i, s, duh;
	struct sockaddr_in saddr;
	char buf[BUFSIZE];

	if (argc != 3) 
	{
		printf(USAGE_STMT);
		return -1;
	}
	
	s = socket(PF_INET, SOCK_DGRAM, 0);
	if (s == -1)
	{
		printf("argv[0]: cannot get socket descriptor\n");
		return -1;
	}
	
	saddr.sin_family = AF_INET;
	saddr.sin_port = htons(SEND_PORT);
	saddr.sin_addr.s_addr = INADDR_ANY; 
	
	/*if (bind(s, &saddr, sizeof(struct sockaddr_in)) == -1)
	{
		printf("argv[0]: could not name socket\n");
		return -1;
	}*/

	saddr.sin_port = htons(TEST_PORT);
	saddr.sin_addr.s_addr = inet_addr(argv[1]);
	strcpy(buf, argv[2]);
	duh = sizeof(struct sockaddr_in);	
	sendto(s, buf, strlen(buf)+1, 0, &saddr, duh);	
} 
